#
# beforedir.mms - make variables and rules to go before "dir.mk".  This file
# contains some platform-independent stuff then includes a platform-specific
# ".mms" file.
#

#############################################################################
#
# Standard directories in import/export trees
#

INCDIR = include
IDLDIR = idl
MAKEDIR = mk
LIBDIR = lib.$(platform)
BINDIR = bin.$(platform)
LIBPATH = $(EXPORT_TREE)[$(LIBDIR)]
BINPATH = $(EXPORT_TREE)[$(BINDIR)]
BASE_OMNI_TREE = $(UTOP)

.ifdef DEBUG
DebugSuffix=D
.endif

ShareableImageSuffix=_rt$(DebugSuffix)

.default
	@ ! allow rules with no action lines

.suffixes : .cc .CC .obj .OBJ .olb .OLB .exe .EXE

.OBJ.OLB :
	@ If "''F$Search("$(MMS$TARGET)")'" .EQS. "" Then $(LIBR)/Create $(MMS$TARGET)
	@ $(LIBR)$(LIBRFLAGS) $(MMS$TARGET) $(MMS$SOURCE)
	@ ! assume mms/skip:  once an object has been stored in a library it can
	@ !be removed.
	@ object = f$parse("$(MMS$SOURCE)","","","NAME") + ".OBJ"
	@ if f$search(object) .nes. "" then delete 'object';*

.include [mk.platforms]$(platform).mms

# .IFDEF CORBA_INTERFACES
# .INCLUDE CORBA_INTERFACES.MMS
# .ENDIF
