$ corba_interfaces = f$edit(p1,"trim,compress")	! s/[ \t]+/ /
$ idl_command = p2
$ cxxflags = p3					! misc cxx qualifiers
$ cxxmacros = p4				! list of macro definitions for
$						! the /define qualifier
$ cxxincludes = p5				! list of directories for the
$						! /include qualifier
$ cxxrepositories = p6				! list of directories for the
$						! /repository qualifier
$ 
$ idl_flags = p7
$
$ stub_dir = "[stub]"
$ idl_dir = "[idl]"
$
$ ! add a -C switch using unix-style directory format
$
$ call vms_to_unix_dir "''stub_dir'"
$ idl_command = idl_command + " ""-C''_unixdir'"""
$ if idl_flags .nes. ""
$ then
$   @[mk]parselist.dcl "''idl_flags'" 0 " " """"
$   idl_command = idl_command + " " + outputlist
$ endif
$
$ index=0
$ if f$search(stub_dir + "*.*") .eqs. "" then create/dir 'stub_dir'
$ on error then goto exit
$ on warning then goto exit
$loop:
$   next = f$element(index, " ", corba_interfaces)
$   if next .eqs. " " then goto exit
$   corba_hdr = stub_dir + next + ".hh"
$   corba_src = stub_dir + next + "SK.cc"
$   corba_dyn_src = stub_dir + next + "DynSK.cc"
$   idl_file = idl_dir + next + ".idl"
$   if f$search(idl_file) .eqs. "" then idl_file = next + ".idl"
$
$   if f$search(corba_hdr) .eqs. "" .or. f$search(corba_src) .eqs. ""
$   then
$     src_date = ""
$     hdr_date = ""
$   else
$     src_date = f$cvtime(f$file_attributes(corba_src,"rdt"))
$     if f$search(corba_dyn_src) .eqs. ""
$     then
$	dyn_src_date = ""
$     else
$	dyn_src_date = f$cvtime(f$file_attributes(corba_dyn_src,"rdt"))
$     endif
$     hdr_date = f$cvtime(f$file_attributes(corba_hdr,"rdt"))
$   endif
$   idl_date = f$cvtime(f$file_attributes(idl_file,"rdt"))
$   if src_date .lts. idl_date .or. hdr_date .lts. idl_date
$   then
$
$     idl_dir = f$parse(idl_file,,,"device") + f$parse(idl_file,,,"directory")
$     idl_name = f$parse(idl_file,,,"name") + f$parse(idl_file,,,"type")
$     call vms_to_unix_dir "''idl_dir'"
$     idl_file = _unixdir + "/" + idl_name
$
$     write sys$output "Compiling " + idl_file + "..."
$
$     oldver=f$verify(COMPILE_VERIFY)
$     'idl_command' 'idl_file'
$     x=f$verify(oldver)
$
$     src_date = f$cvtime(f$file_attributes(corba_src,"rdt"))
$     if f$search(corba_dyn_src) .eqs. ""
$     then
$	dyn_src_date = ""
$     else
$	dyn_src_date = f$cvtime(f$file_attributes(corba_dyn_src,"rdt"))
$     endif
$   endif
$   corba_obj = stub_dir + next + "SK.obj"
$   corba_dyn_obj = stub_dir + next + "DynSK.obj"
$
$   if f$search(corba_obj) .eqs. ""
$   then
$     obj_date = ""
$   else
$     obj_date = f$cvtime(f$file_attributes(corba_obj,"rdt"))
$   endif
$   if obj_date .lts. src_date
$   then
$     original_dir = f$environment("default")
$     set default 'stub_dir'
$     @[mk]cxxcompile.dcl "''cxxflags'" "''cxxmacros'" "''cxxincludes'"-
	  "''cxxrepositories'" "''corba_src'" "''corba_obj'"
$     set default 'original_dir'
$   endif
$
$   ! If there exists a DynSk.cc then check and compile if needed.
$
$   if dyn_src_date .nes. ""
$   then
$     if f$search(corba_dyn_obj) .eqs. ""
$     then
$	dyn_obj_date = ""
$     else
$	dyn_obj_date = f$cvtime(f$file_attributes(corba_dyn_obj,"rdt"))
$     endif
$     if dyn_src_date .nes. "" .and. dyn_obj_date .lts. dyn_src_date
$     then
$	write sys$output "Compiling " + corba_dyn_src + "..."
$	original_dir = f$environment("default")
$	set default 'stub_dir'
$	@[mk]cxxcompile.dcl "''cxxflags'" "''cxxmacros'" "''cxxincludes'"-
	    "''cxxrepositories'" "''corba_dyn_src'" "''corba_dyn_obj'"
$	set default 'original_dir'
$     endif
$   endif
$   index = index + 1
$ goto loop
$!
$exit:
$ savestatus = $status
$ delete/symbol/global _unixdir
$ exit 'savestatus
$
$ vms_to_unix_dir:	subroutine
$
$ _unixdir==""
$
$ if p1 .nes. ""
$ then
$
$   device=f$parse(p1,,,"device")
$   top="/" + device - ":"
$   directory=f$parse(p1,,,"directory") - "[" - "]"
$
$   subs=""
$   inx=0
$   dirnext:
$
$     next=f$element(inx,".",directory)
$     if next .eqs. "." then goto dirend
$     subs = subs + "/" + next
$     inx = inx + 1
$     goto dirnext
$
$   dirend:
$
$   _unixdir==top + subs
$
$ endif
$ endsubroutine	! vms_to_unix_dir
